- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::IO::CXMLNode Class Reference

List of all members.

## Detailed Description

Represents an xml node.

Date:
  17/08/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CXMLNode.hpp,v 1.3 2007/02/08 21:06:44 paul Exp

Definition at line 30 of file CXMLNode.hpp.

## Public Member Functions

- void addAttribute (CXMLAttribute *attribute)
- void addAttribute (const CString &name, const CString &value)
- void addChildNode (const CString &name)
- void addChildNode (CXMLNode *node)
- void clearAttributes ()
- void clearChildNodes ()
- CXMLNode (const CString &name, CXMLNode *parent=NULL)
- CXMLAttribute * getAttribute (const CString &name)
- CXMLAttribute * getAttribute (const long index)
- CXMLNode * getChildNode (const CString &name)
- CXMLNode * getChildNode (const long index)
- const CXMLAttribute * getConstAttribute (const CString &name) const
- const CXMLAttribute * getConstAttribute (const long index) const
- const CXMLNode * getConstChildNode (const CString &name) const
- const CXMLNode * getConstChildNode (const long index) const
- const CXMLNode * getConstFirstChildNode (const CString &name) const
- CXMLNode * getFirstChildNode (const CString &name)
- const CString & getNodeName () const
- long getNumberOfAttributes () const
- long getNumberOfChildNodes () const
- CXMLNode * getParentNode ()
- CString getValueOfAttributeNamed (const CString &name)
- void removeAttribute (const CString &name)
- void removeAttribute (CXMLAttribute *attribute)
- void removeChildNode (const CString &name)
- void removeChildNode (CXMLNode *node)
- void setNodeName (const CString &name)
- void setParentNode (CXMLNode *parent)
- virtual ~CXMLNode ()

## Protected Attributes

- TCountedPointerArray< CXMLAttribute > m_attributes
- TCountedPointerArray< CXMLNode > m_children
- CString m_name
- CXMLNode * m_parentNode

## Constructor & Destructor Documentation

Exponent::IO::CXMLNode::CXMLNode | ( | const CString & | name,
|  | CXMLNode * | parent = `NULL` |
| ) |  |  |

Construction

Parameters:

  | name | The name of the node
  | parent | The parent node

virtual Exponent::IO::CXMLNode::~CXMLNode | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::IO::CXMLNode::addAttribute | ( | CXMLAttribute * | attribute | ) |

Add a new attribute

Parameters:

  | attribute | The new attribute

void Exponent::IO::CXMLNode::addAttribute | ( | const CString & | name,
|  | const CString & | value |
| ) |  |  |

Add an attribute to the node

Parameters:

  | name | The name of the attribute
  | value | The value of the attribute

void Exponent::IO::CXMLNode::addChildNode | ( | const CString & | name | ) |

Add a child node

Parameters:

  | name | The name of the child node

void Exponent::IO::CXMLNode::addChildNode | ( | CXMLNode * | node | ) |

Add a child node

Parameters:

  | node | The child node to add

void Exponent::IO::CXMLNode::clearAttributes | ( |  | ) |

Clear all the attributes

void Exponent::IO::CXMLNode::clearChildNodes | ( |  | ) |

Clear all the attributes

CXMLAttribute* Exponent::IO::CXMLNode::getAttribute | ( | const CString & | name | ) |

Get an attribute wiht the name specified

Parameters:

  | name | The name of the attribute

Return values:

  | CXMLAttribute* | The attribute with the nae or NULL on error

CXMLAttribute* Exponent::IO::CXMLNode::getAttribute | ( | const long | index | ) |

Get an attribute at an index

Parameters:

  | index | the index of the attribute

Return values:

  | CXMLAttribute* | The attribute from the index or NULL on error

CXMLNode* Exponent::IO::CXMLNode::getChildNode | ( | const CString & | name | ) |

Get an node wiht the name specified

Parameters:

  | name | The name of the node

Return values:

  | CXMLNode* | The child node or NULL on error

CXMLNode* Exponent::IO::CXMLNode::getChildNode | ( | const long | index | ) |

Get an node at an index

Parameters:

  | index | the index of the node

Return values:

  | CXMLNode* | The child node or NULL on error

const CXMLAttribute* Exponent::IO::CXMLNode::getConstAttribute | ( | const CString & | name | ) | const

Get an attribute wiht the name specified

Parameters:

  | name | The name of the attribute

Return values:

  | const | CXMLAttribute* The attribute with the nae or NULL on error

const CXMLAttribute* Exponent::IO::CXMLNode::getConstAttribute | ( | const long | index | ) | const

Get an attribute at an index

Parameters:

  | index | the index of the attribute

Return values:

  | CXMLAttribute* | The attribute from the index or NULL on error

const CXMLNode* Exponent::IO::CXMLNode::getConstChildNode | ( | const CString & | name | ) | const

Get an node wiht the name specified

Parameters:

  | name | The name of the node

Return values:

  | const | CXMLNode* The child node or NULL on error

const CXMLNode* Exponent::IO::CXMLNode::getConstChildNode | ( | const long | index | ) | const

Get an node at an index

Parameters:

  | index | the index of the node

Return values:

  | const | CXMLNode* The child node or NULL on error

const CXMLNode* Exponent::IO::CXMLNode::getConstFirstChildNode | ( | const CString & | name | ) | const

Get the first chld node with the name specified, depth first search

Parameters:

  | name | THe name of the node

Return values:

  | const | CXMLNode* The first child node or NULL on error

CXMLNode* Exponent::IO::CXMLNode::getFirstChildNode | ( | const CString & | name | ) |

Get the first chld node with the name specified, depth first search

Parameters:

  | name | THe name of the node

Return values:

  | CXMLNode* | The first child node or NULL on error

const CString& Exponent::IO::CXMLNode::getNodeName | ( |  | ) | const

Get the name of the node

Return values:

  | const | CString &name

long Exponent::IO::CXMLNode::getNumberOfAttributes | ( |  | ) | const

Get the number of attributes

Return values:

  | long | Number of attributes

long Exponent::IO::CXMLNode::getNumberOfChildNodes | ( |  | ) | const

Get the number of chid nodes

Return values:

  | long | The number of child nodes

CXMLNode* Exponent::IO::CXMLNode::getParentNode | ( |  | ) |

Get the parent node

Return values:

  | CXMLNode | *The parent node

CString Exponent::IO::CXMLNode::getValueOfAttributeNamed | ( | const CString & | name | ) |

Value of attribute named a specific thing

Return values:

  | CString | The value of the attribute, on error is CString::CSTRING_EMPTYSTRING;

void Exponent::IO::CXMLNode::removeAttribute | ( | const CString & | name | ) |

Remove the named attribute

Parameters:

  | name | The name of the attribute

void Exponent::IO::CXMLNode::removeAttribute | ( | CXMLAttribute * | attribute | ) |

Remove an attribute at a specified index

Parameters:

  | attribute | The attributte to remove

void Exponent::IO::CXMLNode::removeChildNode | ( | const CString & | name | ) |

Remove the named node

Parameters:

  | name | The name of the node

void Exponent::IO::CXMLNode::removeChildNode | ( | CXMLNode * | node | ) |

Remove an node at a specified index

Parameters:

  | node | The node to remove

void Exponent::IO::CXMLNode::setNodeName | ( | const CString & | name | ) |

SEt the name of the node

Parameters:

  | name | The name of the node

void Exponent::IO::CXMLNode::setParentNode | ( | CXMLNode * | parent | ) |

Set parent node

Parameters:

  | parent | The parent node

## Member Data Documentation

TCountedPointerArray<CXMLAttribute> Exponent::IO::CXMLNode::m_attributes`[protected]`

Tag attributes

Definition at line 238 of file CXMLNode.hpp.

TCountedPointerArray<CXMLNode> Exponent::IO::CXMLNode::m_children`[protected]`

Children nodes

Definition at line 240 of file CXMLNode.hpp.

CString Exponent::IO::CXMLNode::m_name`[protected]`

Name of the node

Definition at line 237 of file CXMLNode.hpp.

CXMLNode* Exponent::IO::CXMLNode::m_parentNode`[protected]`

Parent node

Definition at line 239 of file CXMLNode.hpp.